import 'package:flutter/material.dart';

class PlayerRatioProvide with ChangeNotifier {
  double scale = 1.0;      //播放区域缩放比例
  Offset offset = Offset.zero;
  double deltaX = 0;
  double deltaY = 0;

  //改变播放区域缩放比例
  changeScale(double scale) {
    this.scale = scale;
    notifyListeners();
  }

  //改变播放区域偏移位置
  changeOffset(Offset offset) {
    this.offset = offset;
    notifyListeners();
  }

  changeDeltaX(double deltaX) {
    this.deltaX = deltaX;
    notifyListeners();
  }

  changeDeltaY(double deltaY) {
    this.deltaY = deltaY;
    notifyListeners();
  }
}
